<?xml version="1.0" encoding="UTF-8"?>
<!--
The contents of this file are subject to the terms of the Common Development
and Distribution License (the License). You may not use this file except in
compliance with the License.

You can obtain a copy of the License at http://www.netbeans.org/cddl.html
or http://www.netbeans.org/cddl.txt.

When distributing Covered Code, include this CDDL Header Notice in each file
and include the License file at http://www.netbeans.org/cddl.txt.
If applicable, add the following below the CDDL Header, with the fields
enclosed by brackets [] replaced by your own identifying information:
"Portions Copyrighted [year] [name of copyright owner]"

The Original Software is NetBeans. The Initial Developer of the Original
Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
Microsystems, Inc. All Rights Reserved.
-->
<!DOCTYPE filesystem PUBLIC "-//NetBeans//DTD Filesystem 1.1//EN" "http://www.netbeans.org/dtds/filesystem-1_1.dtd">
<filesystem>

  <!-- Registration of DTD catalogs and XML processors. -->

  <folder name="xml">
    <folder name="entities">
      <folder name="NetBeans">
        <file name="DTD_apisupport_cookie_class_list_1_0"
              url="nbres:/org/netbeans/modules/apisupport/resources/apisupport-cookie-class-list-1_0.dtd">
          <attr name="hint.originalPublicID"
                stringvalue="-//NetBeans//DTD apisupport cookie class list 1.0//EN"/>
        </file>
      </folder>
    </folder>
    <folder name="lookups">
      <folder name="NetBeans">
        <file name="DTD_apisupport_cookie_class_list_1_0.instance">
          <attr name="instanceClass" stringvalue="org.openide.loaders.XMLDataObject$Processor"/>
          <attr name="instanceCreate" newvalue="org.netbeans.modules.apisupport.beanbrowser.CookieClassList"/>
        </file>
      </folder>
    </folder>
  </folder>
  <!-- end xml/ -->

  <folder name="Services">

    <folder name="Hidden">
      <!-- Registration of cookies for the Bean Browser. Cf. CookieKids. -->
      <file name="org-netbeans-modules-apisupport-cookies.xml" url="std-cookie-classes.xml"/>
    </folder>
    
    <folder name="JavaHelp">
      <attr name="org-netbeans-modules-usersguide-above-regular.txt/org-netbeans-modules-apisupport-helpset.xml" boolvalue="true"/>
      <file name="org-netbeans-modules-apisupport-helpset.xml" url="helpsetref.xml"/>
      <attr name="org-netbeans-modules-apisupport-helpset.xml/org-netbeans-modules-usersguide-below-regular.txt" boolvalue="true"/>
    </folder>

  </folder>
  <!-- end Services/ -->

  <folder name="Menu">
    <folder name="Tools">
      <attr name="Separator1.instance/org-netbeans-modules-apisupport-beanbrowser-BeanBrowseWindowAction.instance" boolvalue="true"/>
      <file name="org-netbeans-modules-apisupport-beanbrowser-BeanBrowseWindowAction.instance"/>
      <attr name="org-netbeans-modules-apisupport-beanbrowser-BeanBrowseWindowAction.instance/Separator2.instance" boolvalue="true"/>
    </folder>
    <folder name="Help">
      <attr name="org-netbeans-core-actions-AboutAction.instance/nb-log-file.url" boolvalue="true"/>
      <file name="nb-log-file.url" url="nb-log-file.url">
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
      </file>
    </folder>
  </folder>
  <!-- end Menu/ -->

  <folder name="Actions">
    <folder name="API_Support">
      <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
      <file name="org-netbeans-modules-apisupport-beanbrowser-BeanBrowseAction.instance"/>
      <file name="org-netbeans-modules-apisupport-beanbrowser-BeanBrowseWindowAction.instance"/>
    </folder>
  </folder>
  <!-- end Actions/ -->

  <folder name="UI">
    <folder name="Runtime">
      <file name="org-netbeans-modules-apisupport-beanbrowser-MainNode.instance"/>
    </folder>
  </folder>

  <folder name="Templates">

    <folder name="API_Support">

      <attr name="plugin_module/NetBeansTestCase.java" boolvalue="true"/>

      <file name="NetBeansTestCase.java" url="templates/NetBeansTestCase_java">
        <attr name="template" boolvalue="true"/>
        <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
        <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/NetBeansTestCase.html"/>
      </file>

      <attr name="NetBeansTestCase.java/Actions_API" boolvalue="true"/>

      <folder name="Actions_API">
        <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
        <file name="Cookie_action.group" url="templates/Actions_API/Cookie_action.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Actions_API/Cookie_action.html"/>
        </file>
        <file name="Grouping_action.group" url="templates/Actions_API/Grouping_action.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Actions_API/Grouping_action.html"/>
        </file>
        <file name="Node_action.group" url="templates/Actions_API/Node_action.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Actions_API/Node_action.html"/>
        </file>
        <file name="Submenu_action.group" url="templates/Actions_API/Submenu_action.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Actions_API/Submenu_action.html"/>
        </file>
        <file name="__Sample_cookie__Action.java" url="templates/Actions_API/__Sample_cookie__Action_java"/>
        <file name="__Sample_grouping__Action.java" url="templates/Actions_API/__Sample_grouping__Action_java"/>
        <file name="__Sample_node__Action.java" url="templates/Actions_API/__Sample_node__Action_java"/>
        <file name="__Sample_submenu__Action.java" url="templates/Actions_API/__Sample_submenu__Action_java"/>
      </folder>

      <attr name="Actions_API/Modules_API" boolvalue="true"/>

      <folder name="Modules_API">
        <attr name="Installer.java/Documentation.group" boolvalue="true"/>
        <file name="Documentation.group" url="templates/Modules_API/Documentation.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Modules_API/Documentation.html"/>
        </file>
        <file name="Installer.java" url="templates/Modules_API/Installer_java">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Modules_API/Installer.html"/>
        </file>
        <file name="HelpSet.hs" url="templates/Modules_API/__Sample__HelpSet.hs"/>
        <file name="HelpContents.toc" url="templates/Modules_API/__Sample__HelpContents.toc"/>
        <file name="HelpIndex.idx" url="templates/Modules_API/__Sample__HelpIndex.idx"/>
        <file name="HelpMap.jhm" url="templates/Modules_API/__Sample__HelpMap.jhm"/>
        <file name="index.html" url="templates/Modules_API/__Sample__HelpPage.html"/>
      </folder>

      <attr name="Modules_API/Nodes_API" boolvalue="true"/>

      <folder name="Nodes_API">
        <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
        <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Nodes_API.html"/>
        <file name="Container_node.group" url="templates/Nodes_API/Container_node.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Nodes_API/Container_node.html"/>
        </file>
        <file name="Filter_node.group" url="templates/Nodes_API/Filter_node.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Nodes_API/Filter_node.html"/>
        </file>
        <file name="Leaf_node.group" url="templates/Nodes_API/Leaf_node.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Nodes_API/Leaf_node.html"/>
        </file>
        <file name="__Sample_container__Node.java" url="templates/Nodes_API/__Sample_container__Node_java"/>
        <file name="__Sample_container__Children.java" url="templates/Nodes_API/__Sample_container__Children_java"/>
        <file name="__Sample_filter__Node.java" url="templates/Nodes_API/__Sample_filter__Node_java"/>
        <file name="__Sample_filter__Children.java" url="templates/Nodes_API/__Sample_filter__Children_java"/>
        <file name="__Sample_leaf__Node.java" url="templates/Nodes_API/__Sample_leaf__Node_java"/>
        <file name="Bundle.properties" url="templates/Nodes_API/Bundle.properties"/>
        <file name="__Sample__NodeIcon.gif" url="templates/Nodes_API/__Sample__NodeIcon.gif"/>
        <file name="__Sample__NodeIcon32.gif" url="templates/Nodes_API/__Sample__NodeIcon32.gif"/>
        <file name="__Sample__NodeIconOpen.gif" url="templates/Nodes_API/__Sample__NodeIconOpen.gif"/>
        <file name="__Sample__NodeIconOpen32.gif" url="templates/Nodes_API/__Sample__NodeIconOpen32.gif"/>
      </folder>

      <attr name="Nodes_API/Options_API" boolvalue="true"/>

      <folder name="Options_API">
        <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
        <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Options_API.html"/>
        <file name="System_option.group" url="templates/Options_API/System_option.group">
          <attr name="template" boolvalue="true"/>
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.apisupport.resources.TemplateNames"/>
          <attr name="templateWizardURL" urlvalue="nbresloc:/org/netbeans/modules/apisupport/resources/templates/Options_API/System_option.html"/>
        </file>
        <file name="__Sample__Settings.java" url="templates/Options_API/__Sample__Settings_java"/>
        <file name="__Sample__SettingsBeanInfo.java" url="templates/Options_API/__Sample__SettingsBeanInfo_java"/>
        <file name="Bundle.properties" url="templates/Options_API/Bundle.properties"/>
        <file name="__Sample__SettingsIcon.gif" url="templates/Options_API/__Sample__SettingsIcon.gif"/>
        <file name="__Sample__SettingsIcon32.gif" url="templates/Options_API/__Sample__SettingsIcon32.gif"/>
      </folder>

    </folder>
    <!-- end Templates/API_Support/ -->

  </folder>
  <!-- end Templates/ -->

</filesystem>
